%define         major        16
%define         libname      %mklibname yui-mga-ncurses %{major}
%define         develname    %mklibname yui-mga-ncurses -d

Name:           libyui-mga-ncurses
Version:        1.2.0
Release:        %mkrel 3
Summary:        UI abstraction library - Mageia extension ncurses plugin
License:        LGPLv2+
Group:          System/Libraries
Url:            https://github.com/manatools/libyui-mga-ncurses
Source0:        https://github.com/manatools/libyui-mga-ncurses/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:    pkgconfig(libyui)
BuildRequires:    pkgconfig(libyui-ncurses)
BuildRequires:    pkgconfig(libyui-mga)
BuildRequires:    pkgconfig(ncursesw)
BuildRequires:    pkgconfig(ncurses)
BuildRequires:    cmake
BuildRequires:    boost-devel

%description
%{summary}.

#-----------------------------------------------------------------------

%package -n %libname
Summary:        %{summary}
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}
Provides:       %{name}%{?_isa} = %{version}-%{release}
Provides:       %{name}%{major} = %{version}-%{release}
Provides:       %{name}%{major}%{?_isa} = %{version}-%{release}

%description -n %libname
This package contains the library needed to run programs
dynamically linked with libyui-mga-ncurses.

%files -n %libname
%doc COPYING*
%{_libdir}/yui/libyui-mga-ncurses.so.%{major}{,.*}


#-----------------------------------------------------------------------

%package -n %develname
Summary:        %{summary} header files
Group:          Development/Other
Requires:       libyui-devel
Requires:       %{libname} = %{version}-%{release}
Provides:       yui-mga-ncurses-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %develname
This package provides headers files for libyui-mga-ncurses development.

%files -n %develname
%{_includedir}/yui/mga/ncurses/
%{_libdir}/yui/libyui-mga-ncurses.so

#-----------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake
%cmake_build

%install
%cmake_install


%changelog
* Tue Feb 28 2023 wally <wally> 1.2.0-3.mga9
+ Revision: 1945737
- add more provides to lib pkg

* Sat Oct 08 2022 anaselli <anaselli> 1.2.0-2.mga9
+ Revision: 1895522
- rebuilt on new libyui 4.4.4

* Sun Sep 12 2021 wally <wally> 1.2.0-1.mga9
+ Revision: 1745337
- fix lib pkg name
+ anaselli <anaselli>
- new 1.2.0

* Sat Jan 09 2021 wally <wally> 1.1.0-4.mga8
+ Revision: 1669980
- rebuild with doxygen 1.9.1

* Sun Oct 25 2020 akien <akien> 1.1.0-3.mga8
+ Revision: 1639171
- Fix misuse of %%cmake_build macro

* Mon Jun 29 2020 anaselli <anaselli> 1.1.0-2.mga8
+ Revision: 1600531
- rebuilt
- New 1.1.0

* Fri Mar 27 2020 anaselli <anaselli> 1.0.3-9.mga8
+ Revision: 1561201
- Update for new libyui

* Sat Feb 15 2020 umeabot <umeabot> 1.0.3-8.mga8
+ Revision: 1525369
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Apr 14 2019 pterjan <pterjan> 1.0.3-7.mga7
+ Revision: 1389917
- Rebuild against new libyui on armv7hl

* Sun Dec 16 2018 anaselli <anaselli> 1.0.3-6.mga7
+ Revision: 1341881
- rebuilt against new libyu

* Sun Sep 23 2018 umeabot <umeabot> 1.0.3-5.mga7
+ Revision: 1299287
- Mageia 7 Mass Rebuild

* Wed Mar 28 2018 daviddavid <daviddavid> 1.0.3-4.mga7
+ Revision: 1212983
- provides libyui%%{major}-mga-ncurses so packages who depends on it can be
  rebuild if major change (like isodumper)

* Mon Jan 29 2018 anaselli <anaselli> 1.0.3-3.mga7
+ Revision: 1197965
- fix code indentation
- version 1.0.3

* Sun Oct 09 2016 anaselli <anaselli> 1.0.2-3.mga6
+ Revision: 1059764
- rebuilt

* Tue Jan 19 2016 anaselli <anaselli> 1.0.2-2.mga6
+ Revision: 925825
- rebuilt for new yui.mga

* Tue Oct 20 2015 anaselli <anaselli> 1.0.2-1.mga6
+ Revision: 892897
- 1.0.2

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-0.git20131214.5.mga5
+ Revision: 740929
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.1-0.git20131214.4.mga5
+ Revision: 681915
- Mageia 5 Mass Rebuild

* Tue Apr 22 2014 anaselli <anaselli> 1.0.1-0.git20131214.3.mga5
+ Revision: 617394
- Added version dependency

* Fri Apr 18 2014 anaselli <anaselli> 1.0.1-0.git20131214.2.mga5
+ Revision: 616899
- rebuilt for new libyui
- Avoid parallel compiling for docs

* Sun Mar 30 2014 anaselli <anaselli> 1.0.1-0.git20131214.1.mga5
+ Revision: 610502
- fixed dependencies
- Synked sources
- new version 1.0.1
+ matteo <matteo>
- imported package libyui-mga-ncurses

